<?php
/**
 * The display layout view file of workflow module of RanZhi.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     workflow 
 * @version     $Id$
 * @link        http://www.ranzhico.com
 */
?>
<?php include '../../' . 'common/view/header.html.php';?>
<?php js::set('mode', $mode);?>
<?php js::set('module', $flow->parent ? $flow->parent : $flow->module);?>
<?php js::set('label', $label);?>
<?php if(commonModel::hasPriv($flow->module, 'search')):?>
<li id='bysearchTab'><?php echo baseHTML::a('javascript:;', "<i class='icon-search icon'></i>" . $lang->search->common);?></li>
<?php endif;?>
<div id='menuActions'>
  <?php extCommonModel::printLink($flow->module, 'export', "mode=$mode&label=$label", "<i class='icon icon-export'> </i>" . $lang->export, "class='btn btn-primary iframe'");?>
  <?php echo $this->flow->buildOperateMenu($flow, $data = null, $type = 'menu');?>
</div>
<div class='main-table panel'>
  <table class='table table-condensed  has-sort-head' id="<?php echo $flow->module;?>Table">
    <thead>
      <tr class='text-center'>
        <?php $vars = "mode=$mode&label=$label&orderBy=%s&recTotal=$pager->recTotal&recPerPage=$pager->recPerPage&pageID=$pager->pageID";?>
        <?php foreach($fields as $field):?>
        <?php if(!$field->show) continue;?>
        <th class="text-<?php echo $field->position;?>" style="width:<?php echo $field->width ? $field->width . 'px' : '';?>">
          <?php
          if($field->field == 'desc' || $field->field == 'asc' || $field->field == 'actions')
          {
              echo $field->name;
          }
          else
          {
              commonModel::printOrderLink($field->field, $orderBy, $vars, $field->name, $flow->module, 'browse');
          }
          ?>
        </th>
        <?php endforeach;?>
      </tr>
    </thead>
    <tbody>
      <?php $total = array();?>
      <?php foreach($dataList as $data):?>
      <tr class='text-center'>
        <?php foreach($fields as $field):?>
        <?php if(!$field->show || $field->field == 'actions') continue;?>
        <?php
        if(in_array($field->type, array_keys($config->workflowfield->typeList['number'])) && $field->field != 'id' && $field->totalShow)
        {
            if(!isset($total[$field->field])) $total[$field->field] = 0;
            $total[$field->field] += $data->{$field->field};
        }
        ?>
        <td class="text-<?php echo $field->position;?>">
        <?php
        if(is_array($data->{$field->field}))
        {
            foreach($data->{$field->field} as $value) echo zget($field->options, $value) . ' ';
        }
        else
        {
            if($field->field == 'id' && commonModel::hasPriv($flow->module, 'view'))
            {
                $action = $this->workflowaction->getByModuleAndAction($flow->module, 'view');
                if($action->open == 'none')
                {
                    echo $data->id;
                }
                else
                {
                    $attr = $action->open == 'modal' ? "data-toggle='modal'" : '';
                    echo baseHTML::a(helper::createLink('flow', 'view', "module={$flow->module}&id={$data->id}"), $data->id, $attr);
                }
            }
            else
            {
                echo zget($field->options, $data->{$field->field});
            }
        }
        ?>
        </td>
        <?php endforeach;?>
        <td class="nowrap"><?php echo $this->flow->buildOperateMenu($flow, $data, $type = 'browse');?></td>
      </tr>
      <?php endforeach;?>
    </tbody>
  </table>
  <div class='table-footer'>
    <?php
    if(!empty($dataList))
    {
        $totalString = '';
        foreach($fields as $field)
        {
            if(!$field->show || $field->field == 'actions') continue;
            if(in_array($field->type, array_keys($config->workflowfield->typeList['number'])) && $field->field != 'id' && $field->totalShow)
            {
                $totalString .= $field->name . ':' . $total[$field->field] . ',';
            }
        }
        if(!empty($totalString)) echo "<div class='pull-left'>" . $lang->workflowlayout->totalShow . '(' . rtrim($totalString, ',') . ')' . '</div>';
    }
    $pager->show('right', 'pagerjs');
    ?>
  </div>
</div>
<?php include '../../' . 'common/view/footer.html.php';?>
