<?php
/**
 * The browse view file of workflow module of RanZhi.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     workflow
 * @version     $Id$
 * @link        http://www.ranzhico.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('parent', $parent);?>
<?php js::set('type', $type);?>
<?php js::set('app', $currentApp);?>
<?php $vars="&parent=$parent&type=$type&app=$currentApp&orderBy=%s";?>
<div id='menuActions'>
  <?php echo baseHTML::a("javascript:;", "<i class='icon icon-cards-view'></i>", "data-mode='card' class='mode-toggle btn'");?>
  <?php echo baseHTML::a("javascript:;", "<i class='icon icon-bars'></i>", "data-mode='list' class='mode-toggle btn'");?>
  <?php $parent = str_replace(array('all', 'parent', 'sub'), '', $parent);?>
  <?php extCommonModel::printLink('workflow', 'create', "parent=$parent&type=$type&app=$currentApp",  "<i class='icon-plus'> </i>" . ($type == 'flow' ? $lang->workflow->create : $lang->workflowtable->create), "class='btn btn-primary' data-toggle='modal' data-width='600'");?>
</div>
<?php $class = $this->cookie->flowViewType == 'card' ? '' : 'hide';?>
<div class='row <?php echo $class;?>' id='cardMode'>
  <?php foreach($flows as $flow):?>
  <div class='col-md-4 col-sm-6'>
    <div class='main-table panel flow-block'>
      <div class='main-table panel-heading'>
        <strong title="<?php echo $flow->name;?>">
          <?php echo $flow->name;?>
          <span class='text-red'><?php echo $flow->buildin ? "[{$lang->workflow->buildin}]" : '';?></span>
        </strong>
        <?php if(commonModel::hasPriv('workflow', 'edit') or commonModel::hasPriv('workflow', 'backup') or commonModel::hasPriv('workflow', 'delete')):?>
        <div class='main-table panel-actions pull-right'>
          <div class='dropdown'>
            <button class='btn btn-mini' data-toggle='dropdown'><span class='caret'></span></button>
            <ul class='dropdown-menu pull-right'>
              <?php extCommonModel::printLink('workflow', 'edit', "id=$flow->id", $lang->edit, "data-toggle='modal' data-width='600'", '', '', 'li');?>
              <?php if(!$flow->buildin) extCommonModel::printLink('workflow', 'backup', "module=$flow->module", $lang->workflow->upgrade->backup, "class='jsoner'", '', '', 'li');?>
              <?php if(!$flow->buildin) extCommonModel::printLink('workflow', 'delete', "id=$flow->id", $lang->delete, "class='deleter'", '', '', 'li');?>
            </ul>
          </div>
        </div>
        <?php endif;?>
      </div>
      <div class='main-table panel-body'>
        <div class='info'>
          <div>
            <strong><?php echo $lang->workflow->app;?></strong>&nbsp;&nbsp;<span class='text-important'><?php echo zget($apps, $flow->app, '');?></span>
            <?php if($flow->newVersion):?>
            <span class='text-danger pull-right'>
              <strong><?php echo $lang->workflow->upgrade->newVersion;?></strong>
              <?php extCommonModel::printLink('workflow', 'upgrade', "module=$flow->module&step=start", $lang->workflow->upgrade->clickme, "data-toggle='modal' data-width='400'");?>
            </span>
            <?php endif;?>
          </div>
          <div><strong><?php echo $lang->workflow->desc;?></strong>&nbsp;&nbsp;<span class='text-important'><?php echo $flow->desc;?></span></div>
        </div>
        <div class='footerbar'>
          <?php
          if($type == 'flow') extCommonModel::printLink($flow->module, 'browse', '', $lang->preview, "class='btn btn-primary'");
          extCommonModel::printLink('workflowfield', 'browse', "module=$flow->module", $lang->workflow->field, "class='btn btn-primary'");
          if($type == 'flow')
          {
              extCommonModel::printLink('workflowaction', 'browse', "module=$flow->module", $lang->workflow->action, "class='btn btn-primary'");
              if($flow->buildin)
              {
                  echo baseHTML::a('javascript:;', $lang->workflow->label, "class='btn'");
              }
              else
              {
                  extCommonModel::printLink('workflowlabel', 'browse', "module=$flow->module", $lang->workflow->label, "class='btn btn-primary'");
              }
              if($flow->buildin or $flow->parent)
              {
                  $title = $flow->buildin ? $lang->workflow->title->noSubModule : $lang->workflow->title->subModule;
                  echo baseHTML::a('javascript:;', $lang->workflow->subModule, "class='btn' data-toggle='tooltip' title='$title'");
              }
              else
              {
                  extCommonModel::printLink('workflow', 'setSubModule', "module=$flow->module", $lang->workflow->subModule, "class='btn btn-primary' data-toggle='modal' data-width='500'");
              }

              if($flow->buildin)
              {
                  echo baseHTML::a('javascript:;', $lang->workflow->subTable, "class='btn' data-toggle='tooltip' title='{$lang->workflow->title->noSubTable}'");
              }
              else
              {
                  $title = sprintf($lang->workflow->title->subTable, $flow->name);
                  extCommonModel::printLink('workflow', 'browseDB', "parent=$flow->module&app=$flow->app", $lang->workflow->subTable, "class='btn btn-primary' data-toggle='tooltip' title='$title'");
              }
          }
          ?>
        </div>
      </div>
    </div>
  </div>
  <?php endforeach;?>
</div>
<div class='table-footer <?php echo $class;?>'><?php $pager->show('right', 'pagerjs');?></div>
<?php $class = $this->cookie->flowViewType == 'list' ? '' : 'hide';?>
<div class='main-table panel <?php echo $class;?>' id='listMode'>
  <table class='table table-condensed has-sort-head table-fixed'>
    <thead>
      <tr>
        <th class='w-60px'><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->workflow->id);?></th>
        <th class='w-150px'><?php commonModel::printOrderLink('name', $orderBy, $vars, $lang->workflow->name);?></th>
        <th class='w-150px'><?php commonModel::printOrderLink('module', $orderBy, $vars, $lang->workflow->module);?></th>
        <?php if($type == 'flow' and empty($currentApp)):?>
        <th class='w-100px'><?php commonModel::printOrderLink('app', $orderBy, $vars, $lang->workflow->app);?></th>
        <?php endif;?>
        <th class='w-100px text-center'><?php commonModel::printOrderLink('buildin', $orderBy, $vars, $lang->workflow->buildin);?></th>
        <th><?php echo $lang->workflow->desc;?></th>
        <?php $class = $type == 'flow' ? 'w-300px' : 'w-150px';?>
        <th class='<?php echo $class;?>'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($flows as $flow):?>
      <tr>
        <td><?php if(!extCommonModel::printLink('workflow', 'view', "id=$flow->id", $flow->id, "data-toggle='modal'")) echo $flow->id;?></td>
        <td title="<?php echo $flow->name;?>">
          <?php if(!extCommonModel::printLink('workflow', 'view', "id=$flow->id", $flow->name, "data-toggle='modal'")) echo $flow->name;?>
          <?php if(!empty($flow->children)) echo "<span class='flow-toggle'>&nbsp;&nbsp;<i class='icon icon-minus'></i>&nbsp;&nbsp;</span>"?>
        </td>
        <td><?php echo $flow->module;?></td>
        <?php if($type == 'flow' and empty($currentApp)):?>
        <td><?php echo zget($apps, $flow->app, '');?></td>
        <?php endif;?>
        <td class='text-center buildin<?php echo $flow->buildin;?>'><?php echo $flow->buildin ? "<i class='icon icon-check'></i>" : "<i class='icon icon-close'></i>";?></td>
        <td title='<?php echo $flow->desc;?>'><?php echo $flow->desc;?></td>
        <td>
          <?php
          if($type == 'flow')
          {
              extCommonModel::printLink($flow->module, 'browse', '', $lang->preview);
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->preview, "disabled='disabled'");
          }
          extCommonModel::printLink('workflow', 'edit', "id=$flow->id", $lang->edit, "data-toggle='modal' data-width='600'");
          extCommonModel::printLink('workflowfield', 'browse', "module=$flow->module", $lang->workflow->field);
          if($type == 'flow')
          {
              extCommonModel::printLink('workflowaction', 'browse', "module=$flow->module", $lang->workflow->action);
              if($flow->buildin)
              {
                  echo baseHTML::a('javascript:;', $lang->workflow->label, "disabled='disabled'");
              }
              else
              {
                  extCommonModel::printLink('workflowlabel', 'browse', "module=$flow->module", $lang->workflow->label);
              }
              if($flow->buildin or $flow->parent)
              {
                  $title = $flow->buildin ? $lang->workflow->title->noSubModule : $lang->workflow->title->subModule;
                  echo baseHTML::a('javascript:;', $lang->workflow->subModule, "disabled='disabled' title='$title'");
              }
              else
              {
                  extCommonModel::printLink('workflow', 'setSubModule', "module=$flow->module", $lang->workflow->subModule, "data-toggle='modal' data-width='500'");
              }
              if($flow->buildin)
              {
                  echo baseHTML::a('javascript:;', $lang->workflow->subTable, "disabled='disabled' title='{$lang->workflow->title->noSubTable}'");
              }
              else
              {
                  $title = sprintf($lang->workflow->title->subTable, $flow->name);
                  extCommonModel::printLink('workflow', 'browseDB', "parent=$flow->module&app=$flow->app", $lang->workflow->subTable, "title='$title'");
              }
          }
          if($flow->buildin)
          {
              echo baseHTML::a('javascript:;', $flow->type == 'flow' ? $lang->workflow->delete : $lang->workflowtable->delete, "disabled='disabled'");
          }
          else
          {
              extCommonModel::printLink('workflow', 'delete', "id=$flow->id", $flow->type == 'flow' ? $lang->workflow->delete : $lang->workflowtable->delete, "class='deleter'");
          }
          ?>
        </td>
      </tr>
      <?php if(!empty($flow->children)):?>
      <tr class='tr-child'>
        <td colspan='<?php echo ($type == 'flow' && empty($currentApp)) ? 7 : 6?>'>
          <table class='table table-condensed'>
            <?php foreach($flow->children as $child):?>
            <tr>
              <td class='w-60px'><?php if(!extCommonModel::printLink('workflow', 'view', "id=$child->id", $child->id, "data-toggle='modal'")) echo $child->id;?></td>
              <td class='w-150px' title='<?php echo $child->name;?>'><?php if(!extCommonModel::printLink('workflow', 'view', "id=$child->id", $child->name, "data-toggle='modal'")) echo $child->name;?></td>
              <td class='w-150px'><?php echo $child->module;?></td>
              <?php if($type == 'flow' and empty($currentApp)):?>
              <td class='w-100px'><?php echo zget($apps, $flow->app, '');?></td>
              <?php endif;?>
              <td class='w-100px text-center buildin<?php echo $child->buildin;?>'><?php echo $child->buildin ? "<i class='icon icon-check'></i>" : "<i class='icon icon-close'></i>";?></td>
              <td title='<?php echo $child->desc;?>'><?php echo $child->desc;?></td>
              <td class='<?php echo $class;?>'>
                <?php
                if($type == 'flow') extCommonModel::printLink($flow->module, 'browse', '', $lang->preview);
                extCommonModel::printLink('workflow', 'edit', "id=$child->id", $lang->edit, "data-toggle='modal' data-width='600'");
                extCommonModel::printLink('workflowfield', 'browse', "module=$child->module", $lang->workflow->field);
                if($type == 'flow')
                {
                    extCommonModel::printLink('workflowaction', 'browse', "module=$child->module", $lang->workflow->action);
                    extCommonModel::printLink('workflowlabel', 'browse', "module=$child->module", $lang->workflow->label);
                    $title = $child->buildin ? $lang->workflow->title->noSubModule : $lang->workflow->title->subModule;
                    echo baseHTML::a('javascript:;', $lang->workflow->subModule, "class='disabled' disabled='disabled' title='$title'");
                    if($child->buildin)
                    {
                        echo baseHTML::a('javascript:;', $lang->workflow->subTable, "disabled='disabled' title='{$lang->workflow->title->noSubTable}'");
                    }
                    else
                    {
                        $title = sprintf($lang->workflow->title->subTable, $child->name);
                        extCommonModel::printLink('workflow', 'browseDB', "parent=$child->module&app=$child->app", $lang->workflow->subTable, "title='$title'");
                    }
                }
                extCommonModel::printLink('workflow', 'delete', "id=$child->id", $child->type == 'flow' ? $lang->workflow->delete : $lang->workflowtable->delete, "class='deleter'");
                ?>
              </td>
            </tr>
            <?php endforeach;?>
          </table>
        </td>
      </tr>
      <?php endif;?>
      <?php endforeach;?>
    </tbody>
  </table>
  <div class='table-footer'><?php $pager->show('right', 'pagerjs');?></div>
</div>
<?php include '../../common/view/footer.html.php';?>
