$(document).ready(function()
{
    $('#conditionType').change(function()
    {
        $('.sqlTR').toggle($(this).val() == 'sql');
        $('.dataTR').toggle($(this).val() == 'data');
    });

    $('#conditionType').change();

    $('#action, #table').change(function()
    {
        $('.fieldTR').toggle($('#action').val() != 'delete');
        
        if($('#action').val() != 'insert' && $('#table').val() != module)
        {
            $('.whereTR').show().find('input,select').removeAttr('disabled');
            $('#defaultWhere').hide().find('input[type=hidden]').attr('disabled', 'disabled');
        }
        else if($('#action').val() != 'insert' && $('#table').val() == module)
        {
            $('.whereTR').hide().find('input,select').attr('disabled', 'disabled');
            $('#defaultWhere').show().find('input[type=hidden]').removeAttr('disabled');
        }
        else
        {
            $('.whereTR').hide().find('input,select').attr('disabled', 'disabled');
            $('#defaultWhere').hide().find('input[type=hidden]').attr('disabled', 'disabled');
        }
    });

    $(document).on('change', '#table', function()
    {
        var link = createLink('workflowhook', 'ajaxGetTableFields', 'table=' + $(this).val());
        $('.field').load(link, function()
        {
            $('.field').trigger('chosen:updated');
        });
    });

    $(document).on('change', '[name^=paramType], [name*=\\[field\\]], [name*=\\[paramType\\]]', function()
    {
        var tr        = $(this).parents('tr');
        var paramType = tr.find('[name*=paramType]').val();
        if(paramType != 'custom')
        {
            var name = 'param[]';
            if(tr.hasClass('dataTR'))  name = 'conditions[param][]';
            if(tr.hasClass('fieldTR')) name = 'fields[param][]';
            if(tr.hasClass('whereTR')) name = 'wheres[param][]';

            tr.find('span.param').html("<select name='" + name + "' id='param' class='form-control chosen'></select>");
            tr.find('span.param .chosen').chosen(window.chosenDefaultOptions);
        }

        if(paramType == 'today' || paramType == 'now' || paramType == 'actor' || paramType == 'deptManager')
        {
            tr.find('input#param').removeAttr('disabled').attr('readonly', 'readonly').val('').show();
            tr.find('select#param').removeAttr('disabled');
            tr.find('#param_chosen').hide();
        }
        else if(paramType == 'custom')
        {
            tr.find('input#param').attr('disabled', 'disabled').hide();
            var field = tr.find('[name*=\\[field\\]]').val() || '';
            var name  = tr.find('input#param').attr('name');
            var id    = tr.find('input#param').attr('id');

            name = window.btoa(encodeURI(name));
            var link = createLink('workflowfield', 'ajaxGetFieldControl', 'module=' + module + '&field=' + field + '&value=&elementName=' + name + '&elementID=' + id);

            tr.find('span.param').load(link, function()
            {
                if(tr.attr('class') == 'whereTR' && tr.is(':hidden'))
                {
                    tr.find('span.param input#param').attr('disabled', 'disabled');
                }

                tr.find('span.param .chosen').chosen(window.chosenDefaultOptions);

                tr.find('span.param .form-datetime').datetimepicker(
                {
                    language:  config.clientLang,
                    weekStart: 1,
                    todayBtn:  1,
                    autoclose: 1,
                    todayHighlight: 1,
                    startView: 2,
                    forceParse: 0,
                    showMeridian: 1,
                    format: 'yyyy-mm-dd hh:ii'
                });

                tr.find('span.param .form-date').datetimepicker(
                {
                    language:  config.clientLang,
                    weekStart: 1,
                    todayBtn:  1,
                    autoclose: 1,
                    todayHighlight: 1,
                    startView: 2,
                    minView: 2,
                    forceParse: 0,
                    format: 'yyyy-mm-dd'
                });
            });
        }
        else if(paramType == 'form')
        {
            tr.find('input#param').attr('disabled', 'disabled').hide();
            tr.find('#param_chosen .chosen-single span').html('');
            tr.find('#param_chosen').show();
            tr.find('#param_chosen .chosen-single').focus();
            tr.find('select#param').removeAttr('disabled').empty().append($('#formFieldsDIV').html());
            tr.find('select#param').trigger('chosen:updated');
        }
        else if(paramType == 'record')
        {
            tr.find('input#param').attr('disabled', 'disabled').hide();
            tr.find('#param_chosen .chosen-single span').html('');
            tr.find('#param_chosen').show();
            tr.find('#param_chosen .chosen-single').focus();
            tr.find('select#param').removeAttr('disabled').empty().append($('#actionFieldsDIV').html());
            tr.find('select#param').trigger('chosen:updated');
        }
        else
        {
            tr.find('input#param').attr('disabled', 'disabled').hide();
            var link = createLink('workflowfield', 'ajaxGetParamOptions', 'paramType=' + paramType);
            tr.find('select#param').removeAttr('disabled').load(link, function()
            {
                tr.find('select#param').trigger('chosen:updated');
            });
            tr.find('#param_chosen .chosen-single span').html('');
            tr.find('#param_chosen').show();
            tr.find('#param_chosen .chosen-single').focus();
        }
    });

    $(document).on('click', '.addVar, .addCondition, .addField, .addWhere', function()
    {
        var tr= $(this).parents('tr');
        if($(this).hasClass('addVar'))
        {
            tr.after(varRow);
        }
        else if($(this).hasClass('addCondition'))
        {
            tr.after(conditionRow);
        }
        else if($(this).hasClass('addField'))
        {
            tr.after(fieldRow);

            var link = createLink('workflowhook', 'ajaxGetTableFields', 'table=' + $('#table').val());
            tr.next('tr').find('.field').load(link, function()
            {
                $(this).trigger('chosen:updated');
            });
        }
        else if($(this).hasClass('addWhere'))
        {
            tr.after(whereRow);
        }
        tr.next().find('.chosen').chosen(window.chosenDefaultOptions);
        tr.next().find('#param_chosen').hide();
    });

    $(document).on('click', '.delVar, .delCondition, .delField, .delWhere', function()
    {
        if($(this).hasClass('delVar'))
        {
            $('#sql').val($('#sql').val().replace("'$" + $(this).parents('tr').find('#varName').val() + "'", ''));
            if($('.delVar').size() == 1) 
            { 
                $(this).parents('tr').find('input,select').val('').find('.chosen').trigger('chosen:updated');
                $(this).parents('tr').find('.chosen-single span').html('');
                return;
            }
        }

        $(this).parents('tr').remove();
    });

    $(document).on('change', '[name*=varName]', function()
    {
        if($(this).val() != '') $('#sql').val($('#sql').val() + "'$" + $(this).val() + "'");
    });

    $('.toggleCondition').click(function()
    {
        var val = $('#condition').val() == 1 ? 0 : 1;
        $('#condition').val(val);
        $('#conditionDIV').toggle();
    });

    $('[name*=paramType]').change();
    $('#action').change();
})
