<?php
/**
 * The admin ui view file of workflowlayout module of RanZhi.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     workflowlayout
 * @version     $Id$
 * @link        http://www.ranzhico.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php js::set('action', $action->action);?>
<?php js::set('mode', $mode);?>
<div class='with-side'>
  <div class='side panel'>
    <div class='panel-heading'>
      <strong><?php echo $lang->workflowaction->common;?></strong>
    </div>
    <div class='panel-body'>
      <ul class='tree treeview'>
        <?php foreach($actions as $currentAction):?>
        <?php if($currentAction->action != 'delete' && $currentAction->open != 'none'):?>
        <li><?php echo baseHTML::a(inlink('admin', "module=$action->module&action=$currentAction->action"), $currentAction->name);?></li>
        <?php endif;?>
        <?php endforeach;?>
      </ul>
      <div class='text-right'><?php extCommonModel::printLink('workflowaction', 'browse', "module=$flow->module", $lang->workflowaction->browse, "class='btn btn-primary'");?></div>
    </div>
  </div>
  <div class='main'>
    <form id='ajaxForm' method='post'>
      <div id='colsFixedEnabled' class='cols-list'>
        <div class='panel-heading'>
          <i class='icon-checked'></i> <span class='title'><span class='title-bar'><strong><?php echo $lang->workflow->common . $lang->colon . $flow->name;?></strong></span></span>
        </div>
      </div>
      <div id='colsFixedRequired' class='cols-list'></div>
      <div class='cols-list cols-list-origin'>
        <?php $i = 1;?>
        <?php foreach($fields as $key => $field):?>
        <?php if($mode == 'view' && !$field->show) continue;?>
        <?php $disabledFields = in_array($action->action, $config->workflowaction->default->actions) ? $config->workflowlayout->disabledFields[$action->action] : $config->workflowlayout->disabledFields['custom'];?>
        <?php if(strpos($disabledFields, $key) !== false) continue;?>
        <?php $required = $key == 'actions';?>
        <?php $fixed    = $required ? 'required' : 'enabled';?>
        <?php $show     = $field->show == '1';?>
        <?php $child    = isset($children[$key]);?>
        <?php $disabled = $mode == 'edit' ? '' : "disabled='disabled'";?>
        <div class='clearfix col <?php echo (!$show ? ' disabled' : '') . ($required ? ' required' : '') . (' fixed-' . $fixed) . ($child ? " module-{$key}" : '');?>' <?php echo $child ? "data-child={$key}" : '';?> data-fixed='<?php echo $fixed;?>'  data-key='<?php echo $key;?>'>
          <i class='icon-checked'></i>
          <?php if($mode == 'edit'):?>
          <span class='title'><span class='title-bar'><strong><?php echo $field->name;?></strong><i class='icon-move'></i></span></span>
          <?php else:?>
          <strong><?php echo $field->name;?></strong>
          <?php endif;?>
          <div class='actions pull-right'>
            <?php if($required):?>
            <span class='text-muted'><?php echo '(' . $lang->workflowlayout->require . ')';?></span>
            <?php endif;?>
            <?php if($action->action != 'browse' && $action->action != 'view' && $key != 'file' && !is_numeric($key)):?>
            <span>
              <span class='text-muted'><?php echo $lang->workflowlayout->layoutRules;?></span>
              <?php echo html::select("layoutRules[$key][]", $rules, $field->layoutRules, "class='form-control chosen' multiple='multiple' $disabled");?>
              <?php
              $checked = '';
              $controlList     = array('select', 'checkbox', 'radio', 'date', 'datetime');
              $dateControlList = array('date', 'datetime');
              if(!in_array($field->control, $controlList)) $checked = "checked='checked'";
              if(in_array($field->control, $dateControlList) && !empty($field->defaultValue) && !isset($field->options[$field->defaultValue])) $checked = "checked='checked'";
              ?>
              <span class='text-muted'><?php echo $lang->workflowlayout->defaultValue;?></span>
              <?php
              if($field->control == 'checkbox')
              {
                  echo html::select("defaultValue[$key][]", $field->options, $field->defaultValue, "class='form-control chosen' multiple='multiple' $disabled");
              }
              else
              {
                  echo html::select("defaultValue[$key]", array('' => '') + $field->options, $field->defaultValue, "class='form-control chosen' $disabled");
              }
              if(in_array($field->control, $dateControlList))
              {
                  $disabled = $disabled ? $disabled : '';
                  $class    = 'form-' . $field->control;
                  echo html::input("defaultValue[$key]", ($field->defaultValue && $field->defaultValue != 'currentTime') ? $field->defaultValue : '', "class='form-control $class' $disabled");
              }
              else
              {
                  $disabled = $disabled ? $disabled : "disabled='disabled'";
                  echo html::input("defaultValue[$key]", ($field->defaultValue && strpos(',currentUser,currentDept,currentTime,', ",$field->defaultValue,") === false) ? $field->defaultValue : '', "class='form-control' $disabled");
              }
              ?>
              <input type='checkbox' name="custom[<?php echo $key;?>]" value='1' <?php echo "$checked $disabled";?>/> <?php echo $lang->workflowlayout->custom;?>
            </span>
            <?php endif;?>
            <?php if($action->action == 'browse'):?>
            <?php if(in_array($field->type, array_keys($config->workflowfield->typeList['number'])) && $field->field != 'id'):?>
            <span>
              <span class='text-muted'><?php echo $lang->workflowlayout->totalShow;?></span>
              <?php echo html::select("totalShow[$key]", $lang->workflowlayout->totalList, !empty($field->totalShow) ? $field->totalShow : 0, "class='form-control' $disabled");?>
            </span>
            <?php endif;?>
            <span>
              <span class='text-muted'><?php echo $lang->workflowlayout->width;?></span>
              <?php echo html::input("width[$key]", $field->width, "class='form-control' $disabled");?>
            </span>
            <span>
              <span class='text-muted'><?php echo $lang->workflowlayout->mobileShow;?></span>
              <?php echo html::select("mobileShow[$key]", $lang->workflowlayout->mobileList, !empty($field->mobileShow) ? $field->mobileShow : 0, "class='form-control' $disabled");?>
            </span>
            <?php endif;?>
            <?php if($action->action == 'view' or $action->action == 'browse' or $action->layout == 'side'):?>
            <span>
              <span class='text-muted'><?php echo $lang->workflowlayout->position;?></span>
              <?php if($action->action == 'view' and $i == 1):?>
              <a data-toggle='tooltip' class='position-tips' title='<?php echo $lang->workflowlayout->tips->position;?>'><i class='icon-question-sign'></i></a>
              <?php endif;?>
              <?php $disabled = $mode == 'edit' ? '' : "disabled='disabled'";?>
              <?php echo html::select("position[$key]", $lang->workflowlayout->positionList[$action->action], !empty($field->position) ? $field->position : '', "class='form-control' $disabled");?>
            </span>
            <?php endif;?>
            <?php if($mode == 'edit'):?>
            <button type='button' class='btn btn-link show-hide'>
              <span class='label-show'><?php echo $lang->workflowlayout->show;?></span>
              <span class='text-muted'>/</span>
              <span class='label-hide'><?php echo $lang->workflowlayout->hide;?></span>
            </button>
            <?php else:?>
            <?php echo $show ? $lang->workflowlayout->show : $lang->workflowlayout->hide;?>
            <?php endif;?>
          </div>
          <?php echo html::hidden("show[$key]",  $show ? '1' : '0');?>
        </div>
        <?php $i++;?>
        <?php endforeach;?>
      </div>

      <?php if($action->action != 'browse'):?>
      <div id='children-list'>
        <?php foreach($children as $childModule => $childFields):?>
        <div class='child cols-list child-<?php echo $childModule;?>' data-module="<?php echo $childModule;?>">
          <div class='panel-heading'>
            <i class='icon-checked'></i>
            <?php if($mode == 'edit'):?>
            <span class='title'><span class='title-bar'><strong><?php echo $lang->workflow->subTable . $lang->colon . zget($childModules, $childModule);?></strong><i class='icon-move'></i></span></span>
            <?php else:?>
            <strong><?php echo $field->name;?></strong>
            <?php endif;?>
          </div>
          <?php foreach($childFields as $key => $field):?>
          <?php if($mode == 'view' && !$field->show) continue;?>
          <?php $disabledFields = $config->workflowlayout->disabledFields['children'];?>
          <?php if($action->action != 'view' && strpos(",{$disabledFields},", ",{$key},") !== false) continue;?>
          <?php $show = $field->show == '1';?>
          <?php $disabled = $mode == 'edit' ? '' : "disabled='disabled'";?>
          <div class='clearfix col <?php echo ($show ? '' : ' disabled');?>' data-fixed='<?php echo $fixed;?>' data-key='<?php echo $key;?>'>
            <i class='icon-checked'></i>
            <?php if($mode == 'edit'):?>
            <span class='title'><span class='title-bar'><strong><?php echo $field->name;?></strong><i class='icon-move'></i></span></span>
            <?php else:?>
            <strong><?php echo $field->name;?></strong>
            <?php endif;?>
            <div class='actions pull-right'>
              <?php if($required):?>
              <span class='text-muted'><?php echo '(' . $lang->workflowlayout->require . ')';?></span>
              <?php endif;?>
              <?php if($action->action == 'view'):?>
              <span>
                <span class='text-muted'><?php echo $lang->workflowlayout->width;?></span>
                <?php echo html::input("children[$childModule][width][$key]", $field->width, "class='form-control' $disabled");?>
              </span>
              <span>
                <span class='text-muted'><?php echo $lang->workflowlayout->mobileShow;?></span>
                <?php echo html::select("children[$childModule][mobileShow][$key]", $lang->workflowlayout->mobileList, zget($field, 'mobileShow', 0), "class='form-control' $disabled");?>
              </span>
              <?php endif;?>
              <?php if($key != 'file' and !is_numeric($key) and $action->action != 'view'):?>
              <span>
                <span class='text-muted'><?php echo $lang->workflowlayout->layoutRules;?></span>
                <?php echo html::select("children[$childModule][layoutRules][$key][]", $rules, $field->layoutRules, "id='layoutRules' class='form-control chosen' multiple='multiple' $disabled");?>
                <?php
                $checked = '';
                $controlList     = array('select', 'checkbox', 'radio', 'date', 'datetime');
                $dateControlList = array('date', 'datetime');
                if(!in_array($field->control, $controlList)) $checked = "checked='checked'";
                if(in_array($field->control, $dateControlList) && !empty($field->defaultValue) && !isset($field->options[$field->defaultValue])) $checked = "checked='checked'";
                ?>
                <span class='text-muted'><?php echo $lang->workflowlayout->defaultValue;?></span>
                <?php
                if($field->control == 'checkbox')
                {
                    echo html::select("children[$childModule][defaultValue][$key][]", $field->options, $field->defaultValue, "id='defaultValue' class='form-control chosen' multiple='multiple' $disabled");
                }
                else
                {
                    echo html::select("children[$childModule][defaultValue][$key]", array('' => '') + $field->options, $field->defaultValue, "id='defaultValue' class='form-control chosen' $disabled");
                }
                if(in_array($field->control, $dateControlList))
                {
                    $disabled = $disabled ? $disabled : '';
                    $class    = 'form-' . $field->control;
                    echo html::input("children[$childModule][defaultValue][$key]", ($field->defaultValue && $field->defaultValue != 'currentTime') ? $field->defaultValue : '', "id='defaultValue' class='form-control $class' $disabled");
                }
                else
                {
                    $disabled = $disabled ? $disabled : "disabled='disabled'";
                    echo html::input("children[$childModule][defaultValue][$key]", ($field->defaultValue && strpos(',currentUser,currentDept,currentTime,', ",$field->defaultValue,") === false) ? $field->defaultValue : '', "id='defaultValue' class='form-control' $disabled");
                }
                ?>
                <input type='checkbox' name="children[<?php echo $childModule;?>][custom][<?php echo $key;?>]" value='1' <?php echo "$checked $disabled";?>/> <?php echo $lang->workflowlayout->custom;?>
              </span>
              <?php endif;?>
              <?php if($mode == 'edit'):?>
              <button type='button' class='btn btn-link show-hide'>
                <span class='label-show'><?php echo $lang->workflowlayout->show;?></span>
                <span class='text-muted'>/</span>
                <span class='label-hide'><?php echo $lang->workflowlayout->hide;?></span>
              </button>
              <?php else:?>
              <?php echo $show ? $lang->workflowlayout->show : $lang->workflowlayout->hide;?>
              <?php endif;?>
            </div>
            <?php echo html::hidden("children[$childModule][show][$key]",  $show ? '1' : '0');?>
          </div>
          <?php endforeach;?>
        </div>
        <?php endforeach;?>
      </div>
      <?php endif;?>
      <div class='actions text-center'>
        <?php if($mode == 'edit'):?>
        <?php echo baseHTML::selectButton() . baseHTML::submitButton();?>
        <?php else:?>
        <?php extCommonModel::printLink('workflowlayout', 'admin', "modult=$action->module&action=$action->action&mode=edit", $lang->edit, "class='btn btn-primary'");?>
        <?php endif;?>
        <?php echo html::backButton();?>
      </div>
    </form>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
